Loading...
Searching...
No Matches
gx_logging.h File Reference
`#include <glib/gi18n.h>`
`#include <glibmm/dispatcher.h>`
`#include <boost/thread/mutex.hpp>`
`#include <boost/format.hpp>`

Go to the source code of this file.

## Classes

class | GxLogger
struct | GxLogger::logmsg
class | GxFatalError
class | GxExit

## Macros

#define | SRC_HEADERS_GX_LOGGING_H_

## Functions

void | gx_print_logmsg (const char *, const std::string &, GxLogger::MsgType)
void | gx_print_warning (const char *, const std::string &)
void | gx_print_warning (const char *fnc, const boost::basic_format< char > &msg)
void | gx_print_error (const char *, const std::string &)
void | gx_print_error (const char *fnc, const boost::basic_format< char > &msg)
void | gx_print_fatal (const char *, const std::string &)
void | gx_print_fatal (const char *fnc, const boost::basic_format< char > &msg)
void | gx_print_info (const char *, const std::string &)
void | gx_print_info (const char *fnc, const boost::basic_format< char > &msg)

## Macro Definition Documentation

## SRC_HEADERS_GX_LOGGING_H_

#define SRC_HEADERS_GX_LOGGING_H_

Definition at line 24 of file gx_logging.h.

## Function Documentation

## gx_print_error() [1/2]

void gx_print_error | ( | const char * | ,
|  | const std::string & | )

Referenced by gx_print_error().

## gx_print_error() [2/2]

void gx_print_error | ( | const char * | fnc,
|  | const boost::basic_format< char > & | msg )

inline

Definition at line 78 of file gx_logging.h.

## gx_print_fatal() [1/2]

void gx_print_fatal | ( | const char * | ,
|  | const std::string & | )

Referenced by gx_print_fatal().

## gx_print_fatal() [2/2]

void gx_print_fatal | ( | const char * | fnc,
|  | const boost::basic_format< char > & | msg )

inline

Definition at line 82 of file gx_logging.h.

## gx_print_info() [1/2]

void gx_print_info | ( | const char * | ,
|  | const std::string & | )

Referenced by gx_print_info().

## gx_print_info() [2/2]

void gx_print_info | ( | const char * | fnc,
|  | const boost::basic_format< char > & | msg )

inline

Definition at line 86 of file gx_logging.h.

## gx_print_logmsg()

void gx_print_logmsg | ( | const char * | ,
|  | const std::string & | ,
|  | GxLogger::MsgType | )

## gx_print_warning() [1/2]

void gx_print_warning | ( | const char * | ,
|  | const std::string & | )

Referenced by gx_print_warning().

## gx_print_warning() [2/2]

void gx_print_warning | ( | const char * | fnc,
|  | const boost::basic_format< char > & | msg )

inline

Definition at line 74 of file gx_logging.h.